My Oracle Support Banner

ODI Master Repository Upgrade Fails Raising A Violation Of AK_LANG Constraint (Doc ID 551559.1)

Last updated on JUNE 16, 2022

Applies to:

Oracle Data Integrator - Version 3.2.03.01 and later
Information in this document applies to any platform.

Symptoms

The upgrade of Oracle Data Integrator (ODI) Master Repository fails raising a violation of AK_LANG constraint message.

On Oracle Technology, the error message is:

java.sql.SQLException: ORA-00001: unique constraint (<SCHEMA>.AK_LANG) violated

The latest information displayed in the "mupgrade.bat/.sh" CONSOLE window shows that the problem occurs during the import of SQL Language:

...
Importing : LANG_JYTHON.xml
Importing : LANG_SAP.xml
Importing : LANG_SQL.xml

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.